
// include HITECH_LCD_D.c for all pins of LCD connected at PORTD
// include HITECH_LCD.c for for combination of PORTC and PORTD as in the video lesson

#include <htc.h> 

#define _XTAL_FREQ  19660800	// 

__CONFIG(0x23F2);   	//extern Xtal HS 19660800
__CONFIG(0x3FFF);	//


#include "HITECH_LCD.h" 


void main() 
{
ANSEL = 0x00; // moeten erbij staan vermits hier pins met AD functie gebruikt worden
ANSELH = 0x00; 
unsigned int y = 21987; 
LCD_Start(); 
LCD_Clear(); 
LCD_Cursor(3,1); 
LCD_PrintString("Hello World"); 	// print text on line 2 
LCD_Cursor(0,1); 
LCD_PrintASCII(36); 		//$ = ascii 36 

while(1) 
{ 
LCD_ClearLine(0); 		// clear only line 0 
LCD_Cursor(3,0); 
LCD_PrintNumber(y); 		// print number y 
LCD_ScrollDisplay(1, 1); 	// shift right (1=right,1 place) 
__delay_ms(200); 		// delay 200ms 
LCD_ScrollDisplay(0, 1); 	// shift left (0=left,1 place) 
__delay_ms(200); 		// delay 200ms 
y = y + 1; 			//increment y 
} 
}

